Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.http
Enum BoshBindingError.Type

    java.lang.Object
      java.lang.Enum<BoshBindingError.Type>
          org.jivesoftware.openfire.http.BoshBindingError.Type

All Implemented Interfaces:
  Serializable, Comparable<BoshBindingError.Type>

Enclosing class:
  BoshBindingError

    public static enum BoshBindingError.Type

extends Enum<BoshBindingError.Type>

Enum Constant Summary
`recoverable` In the case of a recoverable binding error the client MUST repeat the HTTP request and all the preceding HTTP requests that have not received responses.
`terminate` The terminate error condition prevents the client from making any further requests until a new session is established.

Method Summary
`String` | `getType()` Returns the type that will be displayed to the client.
`static BoshBindingError.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BoshBindingError.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### terminate

    public static final BoshBindingError.Type terminate

  The terminate error condition prevents the client from making any further requests until a new session is established.

### recoverable

    public static final BoshBindingError.Type recoverable

  In the case of a recoverable binding error the client MUST repeat the HTTP request and all the preceding HTTP requests that have not received responses. The content of these requests MUST be identical to the <body> elements of the original requests. This allows the connection manager to recover a session after the previous request was lost due to a communication failure.

Method Detail

### values

    public static final BoshBindingError.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BoshBindingError.Type c : BoshBindingError.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BoshBindingError.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getType

    public String getType()

  Returns the type that will be displayed to the client.

  Returns:
    the type that will be displayed to the client.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.